package anywheresoftware.b4a.samples.listview;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    private static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "anywheresoftware.b4a.samples.listview", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "anywheresoftware.b4a.samples.listview", "main");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
		processBA.raiseEvent(_activity, "activity_pause", activityBA.activity.isFinishing());
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
	
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listview1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgbox = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
int _i = 0;
 //BA.debugLineNum = 11;BA.debugLine="imgbox.Initialize(\"test\")";
mostCurrent._imgbox.Initialize(mostCurrent.activityBA,"test");
 //BA.debugLineNum = 12;BA.debugLine="imgbox.Color = Colors.Black";
mostCurrent._imgbox.setColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 13;BA.debugLine="Activity.AddView(imgbox, 0, 50%y, 50%x, 50%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._imgbox.getObject()),(int)(0),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(50),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(50),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(50),mostCurrent.activityBA));
 //BA.debugLineNum = 16;BA.debugLine="ListView1.Initialize(\"ListView1\")";
mostCurrent._listview1.Initialize(mostCurrent.activityBA,"ListView1");
 //BA.debugLineNum = 17;BA.debugLine="For i = 1 To 300";
{
final double step9 = 1;
final double limit9 = (int)(300);
for (_i = (int)(1); (step9 > 0 && _i <= limit9) || (step9 < 0 && _i >= limit9); _i += step9) {
 //BA.debugLineNum = 20;BA.debugLine="ListView1.AddSingleLine2(\"ic_btn_speak_now\", \"17301668\")";
mostCurrent._listview1.AddSingleLine2("ic_btn_speak_now",(Object)("17301668"));
 //BA.debugLineNum = 21;BA.debugLine="ListView1.AddSingleLine2(\"ic_delete\", \"17301533\")";
mostCurrent._listview1.AddSingleLine2("ic_delete",(Object)("17301533"));
 //BA.debugLineNum = 22;BA.debugLine="ListView1.AddSingleLine2(\"ic_dialog_alert\", \"17301543\")";
mostCurrent._listview1.AddSingleLine2("ic_dialog_alert",(Object)("17301543"));
 //BA.debugLineNum = 23;BA.debugLine="ListView1.AddSingleLine2(\"ic_dialog_dialer\", \"17301544\")";
mostCurrent._listview1.AddSingleLine2("ic_dialog_dialer",(Object)("17301544"));
 //BA.debugLineNum = 24;BA.debugLine="ListView1.AddSingleLine2(\"ic_dialog_email\", \"17301545\")";
mostCurrent._listview1.AddSingleLine2("ic_dialog_email",(Object)("17301545"));
 //BA.debugLineNum = 25;BA.debugLine="ListView1.AddSingleLine2(\"ic_dialog_info\", \"17301659\")";
mostCurrent._listview1.AddSingleLine2("ic_dialog_info",(Object)("17301659"));
 //BA.debugLineNum = 26;BA.debugLine="ListView1.AddSingleLine2(\"ic_dialog_map\", \"17301546\")";
mostCurrent._listview1.AddSingleLine2("ic_dialog_map",(Object)("17301546"));
 //BA.debugLineNum = 27;BA.debugLine="ListView1.AddSingleLine2(\"ic_input_add\", \"17301547\")";
mostCurrent._listview1.AddSingleLine2("ic_input_add",(Object)("17301547"));
 //BA.debugLineNum = 28;BA.debugLine="ListView1.AddSingleLine2(\"ic_input_delete\", \"17301548\")";
mostCurrent._listview1.AddSingleLine2("ic_input_delete",(Object)("17301548"));
 //BA.debugLineNum = 29;BA.debugLine="ListView1.AddSingleLine2(\"ic_input_get\", \"17301549\")";
mostCurrent._listview1.AddSingleLine2("ic_input_get",(Object)("17301549"));
 //BA.debugLineNum = 30;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_idle_alarm\", \"17301550\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_idle_alarm",(Object)("17301550"));
 //BA.debugLineNum = 31;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_idle_chargin\", \"17301534\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_idle_chargin",(Object)("17301534"));
 //BA.debugLineNum = 32;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_idle_lock\", \"17301535\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_idle_lock",(Object)("17301535"));
 //BA.debugLineNum = 33;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_idle_low_bat\", \"17301536\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_idle_low_bat",(Object)("17301536"));
 //BA.debugLineNum = 34;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_lock\", \"17301551\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_lock",(Object)("17301551"));
 //BA.debugLineNum = 35;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_power_off\", \"17301552\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_power_off",(Object)("17301552"));
 //BA.debugLineNum = 36;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_silent_mode\", \"17301553\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_silent_mode",(Object)("17301553"));
 //BA.debugLineNum = 37;BA.debugLine="ListView1.AddSingleLine2(\"ic_lock_silent_mode_\", \"17301554\")";
mostCurrent._listview1.AddSingleLine2("ic_lock_silent_mode_",(Object)("17301554"));
 //BA.debugLineNum = 38;BA.debugLine="ListView1.AddSingleLine2(\"ic_media_ff\", \"17301537\")";
mostCurrent._listview1.AddSingleLine2("ic_media_ff",(Object)("17301537"));
 //BA.debugLineNum = 39;BA.debugLine="ListView1.AddSingleLine2(\"ic_media_next\", \"17301538\")";
mostCurrent._listview1.AddSingleLine2("ic_media_next",(Object)("17301538"));
 //BA.debugLineNum = 40;BA.debugLine="ListView1.AddSingleLine2(\"ic_media_pause\", \"17301539\")";
mostCurrent._listview1.AddSingleLine2("ic_media_pause",(Object)("17301539"));
 //BA.debugLineNum = 41;BA.debugLine="ListView1.AddSingleLine2(\"ic_media_play\", \"17301540\")";
mostCurrent._listview1.AddSingleLine2("ic_media_play",(Object)("17301540"));
 //BA.debugLineNum = 42;BA.debugLine="ListView1.AddSingleLine2(\"ic_media_previous\", \"17301541\")";
mostCurrent._listview1.AddSingleLine2("ic_media_previous",(Object)("17301541"));
 //BA.debugLineNum = 43;BA.debugLine="ListView1.AddSingleLine2(\"ic_media_rew\", \"17301542\")";
mostCurrent._listview1.AddSingleLine2("ic_media_rew",(Object)("17301542"));
 //BA.debugLineNum = 44;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_add\", \"17301555\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_add",(Object)("17301555"));
 //BA.debugLineNum = 45;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_agenda\", \"17301556\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_agenda",(Object)("17301556"));
 //BA.debugLineNum = 46;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_always_lands\", \"17301557\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_always_lands",(Object)("17301557"));
 //BA.debugLineNum = 47;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_call\", \"17301558\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_call",(Object)("17301558"));
 //BA.debugLineNum = 48;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_camera\", \"17301559\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_camera",(Object)("17301559"));
 //BA.debugLineNum = 49;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_close_clear_\", \"17301560\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_close_clear_",(Object)("17301560"));
 //BA.debugLineNum = 50;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_compass\", \"17301561\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_compass",(Object)("17301561"));
 //BA.debugLineNum = 51;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_crop\", \"17301562\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_crop",(Object)("17301562"));
 //BA.debugLineNum = 52;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_day\", \"17301563\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_day",(Object)("17301563"));
 //BA.debugLineNum = 53;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_delete\", \"17301564\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_delete",(Object)("17301564"));
 //BA.debugLineNum = 54;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_directions\", \"17301565\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_directions",(Object)("17301565"));
 //BA.debugLineNum = 55;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_edit\", \"17301566\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_edit",(Object)("17301566"));
 //BA.debugLineNum = 56;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_gallery\", \"17301567\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_gallery",(Object)("17301567"));
 //BA.debugLineNum = 57;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_help\", \"17301568\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_help",(Object)("17301568"));
 //BA.debugLineNum = 58;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_info_details\", \"17301569\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_info_details",(Object)("17301569"));
 //BA.debugLineNum = 59;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_manage\", \"17301570\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_manage",(Object)("17301570"));
 //BA.debugLineNum = 60;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_mapmode\", \"17301571\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_mapmode",(Object)("17301571"));
 //BA.debugLineNum = 61;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_month\", \"17301572\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_month",(Object)("17301572"));
 //BA.debugLineNum = 62;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_more\", \"17301573\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_more",(Object)("17301573"));
 //BA.debugLineNum = 63;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_my_calendar\", \"17301574\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_my_calendar",(Object)("17301574"));
 //BA.debugLineNum = 64;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_mylocation\", \"17301575\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_mylocation",(Object)("17301575"));
 //BA.debugLineNum = 65;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_myplaces\", \"17301576\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_myplaces",(Object)("17301576"));
 //BA.debugLineNum = 66;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_preferences\", \"17301577\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_preferences",(Object)("17301577"));
 //BA.debugLineNum = 67;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_recent_histo\", \"17301578\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_recent_histo",(Object)("17301578"));
 //BA.debugLineNum = 68;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_report_image\", \"17301579\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_report_image",(Object)("17301579"));
 //BA.debugLineNum = 69;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_revert\", \"17301580\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_revert",(Object)("17301580"));
 //BA.debugLineNum = 70;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_rotate\", \"17301581\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_rotate",(Object)("17301581"));
 //BA.debugLineNum = 71;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_save\", \"17301582\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_save",(Object)("17301582"));
 //BA.debugLineNum = 72;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_search\", \"17301583\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_search",(Object)("17301583"));
 //BA.debugLineNum = 73;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_send\", \"17301584\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_send",(Object)("17301584"));
 //BA.debugLineNum = 74;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_set_as\", \"17301585\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_set_as",(Object)("17301585"));
 //BA.debugLineNum = 75;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_share\", \"17301586\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_share",(Object)("17301586"));
 //BA.debugLineNum = 76;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_slideshow\", \"17301587\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_slideshow",(Object)("17301587"));
 //BA.debugLineNum = 77;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_sort_alphabe\", \"17301660\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_sort_alphabe",(Object)("17301660"));
 //BA.debugLineNum = 78;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_sort_by_size\", \"17301661\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_sort_by_size",(Object)("17301661"));
 //BA.debugLineNum = 79;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_today\", \"17301588\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_today",(Object)("17301588"));
 //BA.debugLineNum = 80;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_upload\", \"17301589\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_upload",(Object)("17301589"));
 //BA.debugLineNum = 81;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_upload_you_t\", \"17301590\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_upload_you_t",(Object)("17301590"));
 //BA.debugLineNum = 82;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_view\", \"17301591\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_view",(Object)("17301591"));
 //BA.debugLineNum = 83;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_week\", \"17301592\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_week",(Object)("17301592"));
 //BA.debugLineNum = 84;BA.debugLine="ListView1.AddSingleLine2(\"ic_menu_zoom\", \"17301593\")";
mostCurrent._listview1.AddSingleLine2("ic_menu_zoom",(Object)("17301593"));
 //BA.debugLineNum = 85;BA.debugLine="ListView1.AddSingleLine2(\"ic_notification_clea\", \"17301594\")";
mostCurrent._listview1.AddSingleLine2("ic_notification_clea",(Object)("17301594"));
 //BA.debugLineNum = 86;BA.debugLine="ListView1.AddSingleLine2(\"ic_partial_secure\", \"17301596\")";
mostCurrent._listview1.AddSingleLine2("ic_partial_secure",(Object)("17301596"));
 //BA.debugLineNum = 87;BA.debugLine="ListView1.AddSingleLine2(\"ic_popup_disk_full\", \"17301597\")";
mostCurrent._listview1.AddSingleLine2("ic_popup_disk_full",(Object)("17301597"));
 //BA.debugLineNum = 88;BA.debugLine="ListView1.AddSingleLine2(\"ic_popup_reminder\", \"17301598\")";
mostCurrent._listview1.AddSingleLine2("ic_popup_reminder",(Object)("17301598"));
 //BA.debugLineNum = 89;BA.debugLine="ListView1.AddSingleLine2(\"ic_search_category_d\", \"17301600\")";
mostCurrent._listview1.AddSingleLine2("ic_search_category_d",(Object)("17301600"));
 //BA.debugLineNum = 90;BA.debugLine="ListView1.AddSingleLine2(\"ic_secure\", \"17301601\")";
mostCurrent._listview1.AddSingleLine2("ic_secure",(Object)("17301601"));
 //BA.debugLineNum = 92;BA.debugLine="ListView1.AddSingleLine2(\"presence_audio_away\", \"17301679\")";
mostCurrent._listview1.AddSingleLine2("presence_audio_away",(Object)("17301679"));
 //BA.debugLineNum = 93;BA.debugLine="ListView1.AddSingleLine2(\"presence_audio_busy\", \"17301680\")";
mostCurrent._listview1.AddSingleLine2("presence_audio_busy",(Object)("17301680"));
 //BA.debugLineNum = 94;BA.debugLine="ListView1.AddSingleLine2(\"presence_audio_onlin\", \"17301681\")";
mostCurrent._listview1.AddSingleLine2("presence_audio_onlin",(Object)("17301681"));
 //BA.debugLineNum = 95;BA.debugLine="ListView1.AddSingleLine2(\"presence_away\", \"17301607\")";
mostCurrent._listview1.AddSingleLine2("presence_away",(Object)("17301607"));
 //BA.debugLineNum = 96;BA.debugLine="ListView1.AddSingleLine2(\"presence_busy\", \"17301608\")";
mostCurrent._listview1.AddSingleLine2("presence_busy",(Object)("17301608"));
 //BA.debugLineNum = 97;BA.debugLine="ListView1.AddSingleLine2(\"presence_invisible\", \"17301609\")";
mostCurrent._listview1.AddSingleLine2("presence_invisible",(Object)("17301609"));
 //BA.debugLineNum = 98;BA.debugLine="ListView1.AddSingleLine2(\"presence_offline\", \"17301610\")";
mostCurrent._listview1.AddSingleLine2("presence_offline",(Object)("17301610"));
 //BA.debugLineNum = 99;BA.debugLine="ListView1.AddSingleLine2(\"presence_online\", \"17301611\")";
mostCurrent._listview1.AddSingleLine2("presence_online",(Object)("17301611"));
 //BA.debugLineNum = 100;BA.debugLine="ListView1.AddSingleLine2(\"presence_video_away\", \"17301676\")";
mostCurrent._listview1.AddSingleLine2("presence_video_away",(Object)("17301676"));
 //BA.debugLineNum = 101;BA.debugLine="ListView1.AddSingleLine2(\"presence_video_busy\", \"17301677\")";
mostCurrent._listview1.AddSingleLine2("presence_video_busy",(Object)("17301677"));
 //BA.debugLineNum = 102;BA.debugLine="ListView1.AddSingleLine2(\"presence_video_onlin\", \"17301678\")";
mostCurrent._listview1.AddSingleLine2("presence_video_onlin",(Object)("17301678"));
 //BA.debugLineNum = 103;BA.debugLine="ListView1.AddSingleLine2(\"radiobutton_off_back\", \"17301614\")";
mostCurrent._listview1.AddSingleLine2("radiobutton_off_back",(Object)("17301614"));
 //BA.debugLineNum = 104;BA.debugLine="ListView1.AddSingleLine2(\"radiobutton_on_backg\", \"17301615\")";
mostCurrent._listview1.AddSingleLine2("radiobutton_on_backg",(Object)("17301615"));
 //BA.debugLineNum = 107;BA.debugLine="ListView1.AddSingleLine2(\"star_big_off\", \"17301619\")";
mostCurrent._listview1.AddSingleLine2("star_big_off",(Object)("17301619"));
 //BA.debugLineNum = 108;BA.debugLine="ListView1.AddSingleLine2(\"star_big_on\", \"17301618\")";
mostCurrent._listview1.AddSingleLine2("star_big_on",(Object)("17301618"));
 //BA.debugLineNum = 109;BA.debugLine="ListView1.AddSingleLine2(\"star_off\", \"17301621\")";
mostCurrent._listview1.AddSingleLine2("star_off",(Object)("17301621"));
 //BA.debugLineNum = 110;BA.debugLine="ListView1.AddSingleLine2(\"star_on\", \"17301620\")";
mostCurrent._listview1.AddSingleLine2("star_on",(Object)("17301620"));
 //BA.debugLineNum = 111;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_call_mut\", \"17301622\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_call_mut",(Object)("17301622"));
 //BA.debugLineNum = 112;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_chat\", \"17301623\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_chat",(Object)("17301623"));
 //BA.debugLineNum = 113;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_error\", \"17301624\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_error",(Object)("17301624"));
 //BA.debugLineNum = 114;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_missed_c\", \"17301631\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_missed_c",(Object)("17301631"));
 //BA.debugLineNum = 115;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_more\", \"17301625\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_more",(Object)("17301625"));
 //BA.debugLineNum = 116;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_sdcard\", \"17301626\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_sdcard",(Object)("17301626"));
 //BA.debugLineNum = 117;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_sdcard_p\", \"17301675\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_sdcard_p",(Object)("17301675"));
 //BA.debugLineNum = 118;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_sdcard_u\", \"17301627\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_sdcard_u",(Object)("17301627"));
 //BA.debugLineNum = 119;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_sync\", \"17301628\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_sync",(Object)("17301628"));
 //BA.debugLineNum = 120;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_sync_noa\", \"17301629\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_sync_noa",(Object)("17301629"));
 //BA.debugLineNum = 121;BA.debugLine="ListView1.AddSingleLine2(\"stat_notify_voicemai\", \"17301630\")";
mostCurrent._listview1.AddSingleLine2("stat_notify_voicemai",(Object)("17301630"));
 //BA.debugLineNum = 122;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_data_blueto\", \"17301632\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_data_blueto",(Object)("17301632"));
 //BA.debugLineNum = 124;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_download_do\", \"17301634\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_download_do",(Object)("17301634"));
 //BA.debugLineNum = 125;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_headset\", \"17301635\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_headset",(Object)("17301635"));
 //BA.debugLineNum = 126;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_phone_call\", \"17301636\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_phone_call",(Object)("17301636"));
 //BA.debugLineNum = 127;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_phone_call_\", \"17301637\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_phone_call_",(Object)("17301637"));
 //BA.debugLineNum = 128;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_phone_call_\", \"17301638\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_phone_call_",(Object)("17301638"));
 //BA.debugLineNum = 129;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_speakerphon\", \"17301639\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_speakerphon",(Object)("17301639"));
 //BA.debugLineNum = 131;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_upload_done\", \"17301641\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_upload_done",(Object)("17301641"));
 //BA.debugLineNum = 132;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_vp_phone_ca\", \"17301671\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_vp_phone_ca",(Object)("17301671"));
 //BA.debugLineNum = 133;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_vp_phone_ca\", \"17301672\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_vp_phone_ca",(Object)("17301672"));
 //BA.debugLineNum = 134;BA.debugLine="ListView1.AddSingleLine2(\"stat_sys_warning\", \"17301642\")";
mostCurrent._listview1.AddSingleLine2("stat_sys_warning",(Object)("17301642"));
 //BA.debugLineNum = 136;BA.debugLine="ListView1.AddSingleLine2(\"sym_action_call\", \"17301645\")";
mostCurrent._listview1.AddSingleLine2("sym_action_call",(Object)("17301645"));
 //BA.debugLineNum = 137;BA.debugLine="ListView1.AddSingleLine2(\"sym_action_chat\", \"17301646\")";
mostCurrent._listview1.AddSingleLine2("sym_action_chat",(Object)("17301646"));
 //BA.debugLineNum = 138;BA.debugLine="ListView1.AddSingleLine2(\"sym_action_email\", \"17301647\")";
mostCurrent._listview1.AddSingleLine2("sym_action_email",(Object)("17301647"));
 //BA.debugLineNum = 139;BA.debugLine="ListView1.AddSingleLine2(\"sym_call_incoming\", \"17301648\")";
mostCurrent._listview1.AddSingleLine2("sym_call_incoming",(Object)("17301648"));
 //BA.debugLineNum = 140;BA.debugLine="ListView1.AddSingleLine2(\"sym_call_missed\", \"17301649\")";
mostCurrent._listview1.AddSingleLine2("sym_call_missed",(Object)("17301649"));
 //BA.debugLineNum = 141;BA.debugLine="ListView1.AddSingleLine2(\"sym_call_outgoing\", \"17301650\")";
mostCurrent._listview1.AddSingleLine2("sym_call_outgoing",(Object)("17301650"));
 //BA.debugLineNum = 142;BA.debugLine="ListView1.AddSingleLine2(\"sym_contact_card\", \"17301652\")";
mostCurrent._listview1.AddSingleLine2("sym_contact_card",(Object)("17301652"));
 //BA.debugLineNum = 143;BA.debugLine="ListView1.AddSingleLine2(\"sym_def_app_icon\", \"17301651\")";
mostCurrent._listview1.AddSingleLine2("sym_def_app_icon",(Object)("17301651"));
 //BA.debugLineNum = 146;BA.debugLine="Next";
}
};
 //BA.debugLineNum = 147;BA.debugLine="Activity.AddView(ListView1, 0, 0, 100%x, 50%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._listview1.getObject()),(int)(0),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(50),mostCurrent.activityBA));
 //BA.debugLineNum = 148;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Dim ListView1 As ListView";
mostCurrent._listview1 = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 3;BA.debugLine="Dim imgbox As ImageView";
mostCurrent._imgbox = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 4;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemclick(int _position,Object _value) throws Exception{
anywheresoftware.b4a.phone.Phone _p = null;
anywheresoftware.b4a.objects.drawable.BitmapDrawable _icon = null;
 //BA.debugLineNum = 152;BA.debugLine="imgbox.Color = Colors.Black";
mostCurrent._imgbox.setColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 155;BA.debugLine="Activity.Title = Value";
mostCurrent._activity.setTitle(_value);
 //BA.debugLineNum = 157;BA.debugLine="Dim p As Phone";
_p = new anywheresoftware.b4a.phone.Phone();
 //BA.debugLineNum = 158;BA.debugLine="Dim icon As BitmapDrawable";
_icon = new anywheresoftware.b4a.objects.drawable.BitmapDrawable();
 //BA.debugLineNum = 159;BA.debugLine="icon=p.GetResourceDrawable(value)";
_icon.setObject((android.graphics.drawable.BitmapDrawable)(_p.GetResourceDrawable((int)(BA.ObjectToNumber(_value)))));
 //BA.debugLineNum = 160;BA.debugLine="imgbox.Background=icon";
mostCurrent._imgbox.setBackground((android.graphics.drawable.Drawable)(_icon.getObject()));
 //BA.debugLineNum = 166;BA.debugLine="End Sub";
return "";
}
}
